#
# spec file for package kristall
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kristall
Version:        0.4
Release:        1.3
Summary:        Graphical small-internet client
License:        GPL-3.0-or-later
Group:          Productivity/Networking/Web/Browsers
URL:            https://kristall.random-projects.net/
Source:         https://github.com/MasterQ32/kristall/archive/V%{version}.tar.gz
# Use qmake-qt5 instad of qmake
BuildRequires:  hicolor-icon-theme
BuildRequires:  libopenssl-devel
BuildRequires:  libqt5-linguist-devel
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtmultimedia-devel
BuildRequires:  libqt5-qtsvg-devel

%description
Graphical small-internet client supporting gemini, http, https, gopher, finger.

%prep
%setup -q

%build
%make_build PREFIX=%{_prefix} QMAKE_COMMAND=qmake-qt5

%install
%make_install PREFIX=%{_prefix} QMAKE_COMMAND=qmake-qt5

%files
%{_bindir}/kristall
%{_datadir}/applications/Kristall.desktop
%{_datadir}/icons/hicolor/??x??/apps/net.random-projects.kristall.png
%{_datadir}/icons/hicolor/128x128/apps/net.random-projects.kristall.png
%{_datadir}/icons/hicolor/scalable/apps/net.random-projects.kristall.svg
%{_mandir}/man1/kristall.1.gz
%{_datadir}/mime/packages/kristall.xml

%changelog
* Fri May 12 2023 "Joshua Smith" <jsmithfpv@gmail.com>
- Update to kristall 0.4
  * Basic Emoji rendering support using OpenMoji
  * Changed: Improved favourites: Adds grouping and custom names
  * Adds support for text/kristall-theme mime to preview/install
    kristall themes via the browser surface
  * Adds Ctrl-F search function
  * Adds Mouse middle now opens links in new tabs
  * Adds Ctrl + mouse left opens links in new tabs
  * Adds Mouse middle now closes tabs when clicking them
  * Adds improved settings system with folder-based approach
  * Adds colored icons to dark/light theme so it has improved
    contrast
  * Adds new action: “View/Show document source” will display the
    raw data of the document in a small separate window
  * Change: Document styles are now saved as files which are
    exchangeable
  * Change: Makes TLS editor columns sortable
  * Adds single-session mode so opening links will open them in the
    currently focused window instead of a new instance every time.
  * Adds the option to open multiple kristall windows in one
    session.
  * Adds --new-window command line option to open urls into a new
    kristall window instead of opening them as a new tab
  * Adds --isolated command line option to start a separated
    instance of kristall
  * Adds possibility to open favourites with enter key in addition
    to double clicking.
  * Adds possibility to open history entries with enter key in
    addition to double clicking.
  * Fix: Gophermap icons map now respect the background color
- Drop kristall-qmake5.patch
* Mon Jul  6 2020 Michael Vetter <mvetter@suse.com>
- Initial package of kristall 0.3 for openSUSE
- Add kristall-qmake5.patch:
  Use qmake-qt5 instead of qmake
